> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/webapps/update#auth).

Updates an existing web app.

## Request

### HTTP request

```
PUT https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/webApps/webAppId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |
| `webAppId` | `string` | The ID of the web app. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

In the request body, supply a [Webapps resource](https://developers.google.com/android/work/play/emm-api/v1/webapps#resource).

## Response

If successful, this method returns a [Webapps resource](https://developers.google.com/android/work/play/emm-api/v1/webapps#resource) in the response body.